## com.google.appengine.api.channel
Class ChannelMessage

    java.lang.Object
      com.google.appengine.api.channel.ChannelMessage

    public final class ChannelMessage

extends java.lang.Object

Class that represents a channel message. `ChannelMessages` can be sent as outgoing messages or can be parsed as incoming messages by `ChannelService.parseMessage(HttpServletRequest)`.

Constructor Summary
`ChannelMessage(java.lang.String clientId, java.lang.String message)` Constructor for a channel message.

Method Summary
`java.lang.String` `getClientId()`
`java.lang.String` `getMessage()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ChannelMessage

    public ChannelMessage(java.lang.String clientId,
                          java.lang.String message)

  Constructor for a channel message.

  Parameters:
    `clientId` - identifies the client that will receive this message. The client should be connected to the channel using a token created by ChannelService.CreateChannel, using the same client id. The client id must be fewer than 64 bytes when encoded to UTF-8.
    `message` - the message payload. The payload must be smaller than 32K when encoded to UTF-8.

Method Detail

### getClientId

    public java.lang.String getClientId()

### getMessage

    public java.lang.String getMessage()